rcc_engine_t Struct Reference

`#include <librcc.h>`

## Public Attributes

const char * | title
rcc_engine_init_function | init_func
rcc_engine_free_function | free_func
rcc_engine_function | func
rcc_charset_list | charsets

## Detailed Description

Encoding detection engine description. Init and Free functions can be omited. 'func' should analyze string and return position in the encodings list coresponding to string encoding.

## Member Data Documentation

## charsets

rcc_charset_list rcc_engine_t::charsets

List of supported encodings

## free_func

rcc_engine_free_function rcc_engine_t::free_func

Destructor function

## func

rcc_engine_function rcc_engine_t::func

Function performing encoding detection

## init_func

rcc_engine_init_function rcc_engine_t::init_func

Constructor function

## title

const char* rcc_engine_t::title

Short title

The documentation for this struct was generated from the following file:

- librcc.h